[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# tanh

Return hyperbolic tangent

## Declaration

Source position: math.pp line 290

`function tanh(`
`x: float`
`):float;`

## Description

Tanh returns the hyperbolic tangent of x.

## Errors

None.

## See also

arcsin |  | Return inverse sine
sincos |  | Return sine and cosine of argument
arccos |  | Return inverse cosine

## Example

    Program Example48;

    { Program to demonstrate the Tanh function. }

    Uses math;

    begin
      writeln(tanh(0));
      writeln(tanh(1));
      writeln(tanh(-1));
    end.

Documentation generated on: Feb 26 2014